#include "centreform.h"

CentreForm::CentreForm(QWidget *parent) :
        AbstractForm(parent)
{

    setTitle("Centre");
    mFgb = new FieldListGroupBox("centres");
    setMainWidget(mFgb);
    setupUi();


}
void CentreForm::setupUi()
{

    ModelFieldWidget * protocolesField = new ModelFieldWidget("protocoles","nom");
    ModelFieldWidget * etablissementField = new ModelFieldWidget("etablissements","nom");
    ModelFieldWidget * networkField = new ModelFieldWidget("networks","nom");

    mFgb->fieldList()->addTitleSpace("information");
    mFgb->fieldList()->addField("numero","numero", new StringFieldWidget);
    mFgb->fieldList()->addField("etat","etat", new StringFieldWidget);
    mFgb->fieldList()->addField("protocole","protocole_id", protocolesField);
    mFgb->fieldList()->addField("etablissement","etablissement_id", etablissementField);
    mFgb->fieldList()->addField("reseau","network_id", networkField);



    DateFieldWidget * dselectionField = new DateFieldWidget;
    DateFieldWidget * dsignature = new DateFieldWidget;
    DateFieldWidget * douverture= new DateFieldWidget;

    mFgb->fieldList()->addTitleSpace("date");
    mFgb->fieldList()->addField("date signature","date_signature", dsignature);
    mFgb->fieldList()->addField("date selection","date_selection", dselectionField);
    mFgb->fieldList()->addField("date ouverture","date_ouverture", douverture);

    mFgb->fieldList()->addTitleSpace("commentaire");
    mFgb->fieldList()->addField("commentaire","commentaire", new CommentFieldWidget);



}

void CentreForm::save()
{
    mFgb->fieldList()->save();

}
void CentreForm::load(QSqlRecord record)
{

    mFgb->fieldList()->load(record);
}
